Update Patient
curl --request PATCH \
--url https://app.silnahealth.com/api/public/v1/patients/{patient_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": null,
"last_name": null,
"date_of_birth": null,
"source_id": null,
"address_line_1": null,
"address_line_2": null,
"city": null,
"state": null,
"zip_code": null,
"sex": null,
"patient_specialties": null,
"status": null,
"provider_service_location_id": null
}
'import requests
url = "https://app.silnahealth.com/api/public/v1/patients/{patient_id}"
payload = {
"first_name": None,
"last_name": None,
"date_of_birth": None,
"source_id": None,
"address_line_1": None,
"address_line_2": None,
"city": None,
"state": None,
"zip_code": None,
"sex": None,
"patient_specialties": None,
"status": None,
"provider_service_location_id": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: null,
last_name: null,
date_of_birth: null,
source_id: null,
address_line_1: null,
address_line_2: null,
city: null,
state: null,
zip_code: null,
sex: null,
patient_specialties: null,
status: null,
provider_service_location_id: null
})
};
fetch('https://app.silnahealth.com/api/public/v1/patients/{patient_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>",
"type": "AUTH_INVALID_REQUEST_HEADER"
}{
"message": "<string>"
}{
"message": "<string>"
}Patients
Update Patient
PATCH
/
public
/
v1
/
patients
/
{patient_id}
Update Patient
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Patient Update Request Schema
Patient Update Request Schema
Patient's EHR ID (or other unique identifier) that you have in your system
Patient's street address
Maximum string length:
255Patient's apartment, suite, unit, etc.
Maximum string length:
255Patient's city
Maximum string length:
255Patient's state
Maximum string length:
255Available options:
MALE, FEMALE Available options:
PHYSICAL_THERAPY, ABA_THERAPY, SPEECH_THERAPY, OCCUPATIONAL_THERAPY, PSYCHOLOGICAL_TESTING, HOME_HEALTH_CARE, HOSPICE, CARDIAC_REHABILITATION, INTENSIVE_CARDIAC_REHABILITATION, MENTAL_HEALTH, PRINCIPAL_ILLNESS_NAVIGATION, PRINCIPAL_CARE_MANAGEMENT, ADVANCED_PRIMARY_CARE_MODELS, PREVENTATIVE_HEALTH, PARTIAL_HOSPITALIZATION_PROGRAM, INTENSIVE_OUTPATIENT_PROGRAM, INTERVENTIONAL_RADIOLOGY, VASCULAR_SURGERY, INTERVENTIONAL_CARDIOLOGY, ORTHOPEDICS, CHIROPRACTIC, GYNECOLOGY, LONG_TERM_CARE, NUTRITIONAL_COUNSELING, PHYSICAL_MEDICINE, PULMONARY_REHABILITATION, INJECTABLE_SPECIALTY_MEDICATIONS, ALLERGY_TESTING, SKILLED_NURSING, RADIOLOGY, OTOLARYNGOLOGY, DURABLE_MEDICAL_EQUIPMENT, DERMATOLOGY, PROFESSIONAL_OFFICE_VISIT, PSYCHIATRY, PRIVATE_DUTY_NURSING Available options:
INTAKE, ACTIVE, DISCHARGED, ON_HOLD Response
OK